<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:rich="http://richfaces.org/rich"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns="http://www.w3.org/1999/xhtml">
    <s:div id="divConceptListTable" rendered="#{not empty conceptListToDisplay.lang}">
        <ui:decorate template="/layout/panels/_panel_collapse.xhtml">
            <ui:param name="panel_id" value="#{id}"/>
            <ui:param name="openByDefault" value="true"/>
            <ui:define name="panel_title">#{messages['gazelle.svs.ConceptList']} (#{conceptListToDisplay.lang})
            </ui:define>
            <s:decorate template="/layout/form/_edit.xhtml">
                <ui:param name="id" value="#{id}"/>
                <ui:define name="label">#{messages['gazelle.svs.Lang']}</ui:define>
                <rich:inplaceInput defaultLabel="Language" value="#{id}" showControls="true">
                    <a4j:ajax event="change"
                              listener="#{valueSetManagerSVS.saveSelectedConceptList(conceptListToDisplay)}"/>
                </rich:inplaceInput>
                <a4j:commandButton value="#{messages['gazelle.svs.RemoveThisConceptList']}"
                                   action="#{valueSetManagerSVS.setSelectedConceptList(conceptListToDisplay)}"
                                   render="deleteConceptListTextDiv"
                                   oncomplete="jq162('#deleteConceptListPopup').modal('show');"
                                   styleClass="gzl-btn-red" title="#{messages['users.Delete']}"
                                   rendered="#{not conceptListToDisplay.mainList}"/>
            </s:decorate>
            <rich:dataTable value="#{conceptListToDisplay.concept}" var="conceptM"
                            rows="#{dataScrollerMemory.numberOfResultsPerPage}" id="tableConceptsMain"
                            render="ds">
                <f:facet name="header">
                    <rich:columnGroup>
                        <h:column>
                            <h:outputText value="#{messages['gazelle.svs.Code']}"/>
                        </h:column>
                        <h:column>
                            <h:outputText value="#{messages['gazelle.svs.DisplayName']}"/>
                        </h:column>
                        <h:column>
                            <h:outputText value="#{messages['gazelle.svs.CodeSystem']}"/>
                        </h:column>
                        <h:column>
                            <h:outputText value="#{messages['gazelle.svs.CodeSystemName']}"/>
                        </h:column>
                        <h:column>
                            <h:outputText value="#{messages['gazelle.svs.CodeSystemVersion']}"/>
                        </h:column>
                        <h:column rendered="#{conceptListToDisplay.mainList}">
                            <h:outputText value="#{messages['users.Action']}"/>
                        </h:column>
                    </rich:columnGroup>
                </f:facet>
                <h:column>
                    <rich:inplaceInput value="#{conceptM.code}" rendered="#{editMode}" showControls="true">
                        <a4j:ajax event="change" render="divConceptListEdition"
                                  listener="#{valueSetManagerSVS.saveSpecificConcept(conceptM, true, true)}"/>
                    </rich:inplaceInput>
                    <h:outputText value="#{conceptM.code}" rendered="#{not editMode}"/>
                </h:column>
                <!-- display is editable for all concept lists -->
                <h:column>
                    <rich:inplaceInput value="#{conceptM.displayName}" showControls="true"
                                       render="divConceptListEdition">
                        <a4j:ajax event="change" render="divConceptListEdition"
                                  listener="#{valueSetManagerSVS.saveSpecificConcept(conceptM, false, false)}"/>
                    </rich:inplaceInput>
                </h:column>
                <h:column>
                    <rich:inplaceInput value="#{conceptM.codeSystem}" rendered="#{editMode}" showControls="true"
                                       render="divConceptListEdition">
                        <a4j:ajax event="change" render="divConceptListEdition"
                                  listener="#{valueSetManagerSVS.saveSpecificConcept(conceptM, true, false)}"/>
                    </rich:inplaceInput>
                    <h:outputText value="#{conceptM.codeSystem}" rendered="#{not editMode}"/>
                </h:column>
                <h:column>
                    <rich:inplaceInput value="#{conceptM.codeSystemName}" rendered="#{editMode}" showControls="true"
                                       render="divConceptListEdition">
                        <a4j:ajax event="change" render="divConceptListEdition"
                                  listener="#{valueSetManagerSVS.saveSpecificConcept(conceptM, true, false)}"/>
                    </rich:inplaceInput>
                    <h:outputText value="#{conceptM.codeSystemName}" rendered="#{not editMode}"/>
                </h:column>
                <h:column>
                    <rich:inplaceInput value="#{conceptM.codeSystemVersion}" rendered="#{editMode}" showControls="true"
                                       render="divConceptListEdition">
                        <a4j:ajax event="change" render="divConceptListEdition"
                                  listener="#{valueSetManagerSVS.saveSpecificConcept(conceptM, true, false)}"/>
                    </rich:inplaceInput>
                    <h:outputText value="#{conceptM.codeSystemVersion}" rendered="#{not editMode}"/>
                </h:column>
                <h:column rendered="#{conceptListToDisplay.mainList}">

                    <a4j:commandLink action="#{valueSetManagerSVS.setSelectedConcept(conceptM)}"
                                     oncomplete="jq162('#deleteConceptPopup').modal('show');"
                                     render="deleteConceptTextDiv"
                                     title="#{messages['users.Delete']}">
                        <s:span styleClass="gzl-icon-trash-o"/>
                    </a4j:commandLink>
                </h:column>
                <f:facet name="footer">
                    <ui:include src="/util/datatableFooter.xhtml">
                        <ui:param name="dataScrollerId" value="ds"/>
                        <ui:param name="dataTableId" value="tableConceptsMain"/>
                    </ui:include>
                </f:facet>
            </rich:dataTable>
        </ui:decorate>
    </s:div>
</ui:composition>
